<!--
 * @Author: chris
 * @Date: 2025-09-11 17:11:16
 * @LastEditors: chris
 * @LastEditTime: 2025-09-11 17:21:28
-->
<script setup>
import HistoryTable from './components/HistoryTable.vue';
import SearchForm from './components/SearchForm.vue';
import { columnsConfig } from './config';
import { useSettings } from '@/hooks/useSettings';

const { hasTags } = useSettings();

const historyList = ref([]);
const queryParams = ref({});

getHistoryList();

function getHistoryList() {
}

function handleSelectionChange(selection) {
  console.log(selection)
}
</script>

<template>
  <div :class="['weather-history-page', 'page-height', { 'hasTagsView': hasTags }]">
    <search-form v-model:params="queryParams" class="mb-12px" />
    <history-table :dataList="historyList" :columns="columnsConfig" @selection-change="handleSelectionChange" />
  </div>
</template>

<style lang="scss" scoped>
.weather-history-page {
  @apply p-20px;
}
</style>
